import { useTheme } from '@emotion/react';
import styled from '@emotion/styled';
import { ColorsType } from 'lib/theme/type';

function RandomIcon() {
    return (
        <svg
            xmlns="http://www.w3.org/2000/svg"
            width="20"
            height="15"
            viewBox="0 0 30 25"
            fill="none"
        >
            <path
                d="M29.4346 19.7022L23.2537 25V21.4676H22.2133C18.9285 21.4676 16.5097 19.9958 14.5129 18.0472C15.283 17.1407 15.9812 16.2282 16.6308 15.3745C16.78 15.1776 16.9282 14.9832 17.0762 14.7889C18.5535 16.3165 20.1424 17.347 22.2137 17.347H23.2541V14.4031L29.4346 19.7022ZM0 7.92758H3.08023C5.03354 7.92758 6.55767 8.84566 7.96378 10.2291C8.19518 9.93206 8.42917 9.62261 8.66535 9.31363C9.24029 8.55666 9.84806 7.75965 10.5066 6.96475C8.56223 5.14779 6.21633 3.80609 3.08031 3.80609H0V7.92758ZM23.2537 0V3.512H22.2133C16.777 3.512 13.7121 7.54141 11.0073 11.0977C8.57453 14.2908 6.47413 17.0523 3.08023 17.0523H0V21.1733H3.08023C8.51741 21.1733 11.5823 17.146 14.2871 13.5906C16.719 10.3936 18.8198 7.63255 22.2133 7.63255H23.2537V10.5977L29.4351 5.29824L23.2537 0Z"
                fill="white"
            />
        </svg>
    );
}

function ChevronLeftIcon() {
    return (
        <svg
            xmlns="http://www.w3.org/2000/svg"
            width="24"
            height="25"
            viewBox="0 0 24 40"
            fill="none"
        >
            <path
                d="M1.12851 17.1576C1.33155 16.9553 1.55181 16.7845 1.78355 16.636L17.2863 1.13394C18.7987 -0.377741 21.2524 -0.378458 22.7656 1.13466C24.2787 2.64706 24.2787 5.10004 22.7656 6.61387L9.41442 19.965L22.8344 33.3858C24.3476 34.8982 24.3476 37.3504 22.8344 38.865C22.0775 39.6226 21.0853 40 20.0952 40C19.1051 40 18.1121 39.6226 17.3559 38.865L1.78355 23.2912C1.55181 23.1426 1.33011 22.9719 1.12851 22.7696C0.355089 21.9961 -0.0179878 20.9774 0.000666094 19.9636C-0.0179878 18.9498 0.355089 17.9318 1.12851 17.1576Z"
                fill="#264653"
            />
        </svg>
    );
}

function ChevronRightEvolution({ color }: { color: string }) {
    const theme = useTheme();
    return (
        <svg
            xmlns="http://www.w3.org/2000/svg"
            width="54"
            height="80"
            viewBox="0 0 54 80"
            fill="none"
        >
            <path
                d="M50.0933 30.57L23.4266 3.90334C18.2333 -1.29666 9.76663 -1.29666 4.57329 3.90334C2.05329 6.41667 0.666626 9.77001 0.666626 13.33C0.666626 16.89 2.05329 20.2433 4.57329 22.7567L21.8133 39.9967L4.57329 57.2367C2.05329 59.7567 0.666626 63.1033 0.666626 66.6633C0.666626 70.2233 2.05329 73.57 4.57329 76.09C7.09329 78.61 10.44 79.9967 14 79.9967C17.56 79.9967 20.9066 78.61 23.4266 76.09L50.0933 49.4233C52.6133 46.91 54 43.5567 54 39.9967C54 36.4367 52.6133 33.0833 50.0933 30.57ZM45.38 44.71L18.7133 71.3767C16.1866 73.8967 11.8133 73.8967 9.28663 71.3767C6.68663 68.7767 6.68663 64.55 9.28663 61.95L31.24 39.9967L9.28663 18.0433C8.02663 16.7833 7.33329 15.11 7.33329 13.33C7.33329 11.55 8.02663 9.87667 9.28663 8.61667C10.5866 7.31667 12.2933 6.66334 14 6.66334C15.7066 6.66334 17.4133 7.31668 18.7133 8.61001L45.38 35.2767C46.64 36.5433 47.3333 38.2167 47.3333 39.9967C47.3333 41.7767 46.64 43.45 45.38 44.71Z"
                fill={(theme.colors as any)[color]}
            />
        </svg>
    );
}

export { RandomIcon, ChevronLeftIcon, ChevronRightEvolution };
